declare const _sfc_main: import("vue").DefineComponent<{
    width: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    height: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    lineWidth: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    lineColor: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    bgColor: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    isCrop: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    isClearBgColor: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}, {
    props: {
        width: number;
        height: number;
        lineWidth: number;
        lineColor: string;
        bgColor: string;
        isCrop: boolean;
        isClearBgColor: boolean;
    };
    emit: (event: "update:bgColor", ...args: any[]) => void;
    hasDrew: any;
    resultImg: any;
    points: any;
    canvasTxt: any;
    startX: any;
    startY: any;
    isDrawing: any;
    sratio: any;
    canvas: any;
    ratio: any;
    stageInfo: any;
    myBg: any;
    $_resizeHandler: () => void;
    mouseDown: (e: MouseEvent) => void;
    mouseMove: (e: MouseEvent) => void;
    mouseUp: (e: MouseEvent) => void;
    touchStart: (e: TouchEvent) => void;
    touchMove: (e: TouchEvent) => void;
    touchEnd: (e: TouchEvent) => void;
    drawStart: (obj: {
        x: number;
        y: number;
    }) => void;
    drawMove: (obj: {
        x: number;
        y: number;
    }) => void;
    drawEnd: (obj: {
        x: number;
        y: number;
    }) => void;
    generate: () => Promise<unknown>;
    reset: () => void;
    getCropArea: (imgData: Uint8ClampedArray) => any[];
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:bgColor"[], "update:bgColor", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    height: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    lineWidth: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    lineColor: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    bgColor: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    isCrop: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    isClearBgColor: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>> & {
    "onUpdate:bgColor"?: ((...args: any[]) => any) | undefined;
}, {
    width: number;
    height: number;
    lineWidth: number;
    lineColor: string;
    bgColor: string;
    isCrop: boolean;
    isClearBgColor: boolean;
}>;
export default _sfc_main;
